=== debian/changelog ===
libftdi1 (1.5-10) unstable; urgency=medium

  * Build documentation in a separate pass and move some Build-
    Dependencies to Build-Depends-Arch and Build-Depends-Indep
  * Install python bindings with CMAKE_INSTALL_ALWAYS=1
  * Bump Standards-Version to 4.7.2 (no changes)
  * Remove debian/rules.ok

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 08 Apr 2025 22:40:49 +0200

libftdi1 (1.5-9) unstable; urgency=medium

  * Add Vcs-git and Vcs-browser to debian/control
  * Replace 03-cmake-project.diff by upstream version
  * Replace 04-swig-4.3.diff by upstream version
  * Set DEB_BUILD_MAINT_OPTIONS = hardening=+all to make lintian happier
  * Improve the libftdi1-dev, libftdi1-doc, and libftdipp1-dev
    descriptions
  * Fix cross-build
  * Rewrite debian/copyright in Machine-readable format
  * Only run the testsuite for arch:any builds
  * Simplify clean rule
  * Drop build-dependency version already satisfied in oldoldstable

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 07 Apr 2025 20:26:13 +0200

libftdi1 (1.5-8) unstable; urgency=medium

  * Add submitted patch to fix compatibility with SWIG 4.3 (closes: #1091128).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 Dec 2024 18:13:45 +0000

libftdi1 (1.5-7) unstable; urgency=medium

  * Build-Depends on pkgconf instead of pkg-config.
  * Add an explicitly Build-Depends on python3-setuptools (closes: #1080636).
  * Bump Standards-Version to 4.7.0 (no changes).
  * Stop forcing -std=c++11, the GCC 6 transition is finished for long.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 07 Sep 2024 13:55:06 +0000

libftdi1 (1.5-6) unstable; urgency=medium

  * debian/libftdipp1-3.symbols: mark internal boost::detail::sp_counted
    symbols as optional as they disappear when using LTO (closes: #1015489).
  * Bump Standards-Version to 4.6.1 (no changes).
  * Push debhelper level to 13.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 14 Sep 2022 20:16:56 +0000

libftdi1 (1.5-5) unstable; urgency=medium

  * Rename _ftdi1.so into _ftdi1.${EXT_SUFFIX} after installing it (closes:
    #972193).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 14 Oct 2020 17:56:59 +0200

libftdi1 (1.5-4) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Fix debian/patches/01-cmake-multiarch.diff which was wrongly removing
    CMAKE_INSTALL_PREFIX from some variables (closes: #965177).

  [ Gianfranco Costamagna ]
  * Mark one symbol as optional, disappearing with -O3 (Closes: #965175).
  * Add an autopkgtest to test cmake scripts.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 17 Jul 2020 17:26:01 +0000

libftdi1 (1.5-3) unstable; urgency=medium

  * Redirect autopkgtests stderr output to stdout.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 14 Jul 2020 23:32:06 +0200

libftdi1 (1.5-2) unstable; urgency=medium

  * Add 03-cmake-project.diff patch to fix an includedir mismatch between
    libftdi1 and libftdipp1.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 13 Jul 2020 20:07:32 +0200

libftdi1 (1.5-1) unstable; urgency=medium

  * New upstream version:
    - Refresh debian/patches/01-cmake-multiarch.diff.
    - Update libftdi1-2 symbols file.
  * Add libftdipp1-3 symbols file.
  * Build and run tests.
  * Install the ftdi-eeprom config file example (closes: #897929).
  * Bump Standards-Version to 4.5.0 (no changes).
  * Add a watch file
  * Run upstream tests in autopkgtests.
  * Update ftdi-eeprom man page (closes: #849871).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 12 Jul 2020 16:07:29 +0200
