=== debian/control ===
Source: libftdi1
Section: libs
Priority: optional
Maintainer: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libusb-1.0-0-dev, pkgconf
Build-Depends-Arch: dh-sequence-python3,
                    libboost-test-dev,
                    libconfuse-dev,
                    libpython3-all-dev,
                    python3-all:any,
                    python3-setuptools,
                    swig
Build-Depends-Indep: doxygen
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://www.intra2net.com/en/developer/libftdi/
Vcs-Git: https://salsa.debian.org/aurel32/libftdi1.git
Vcs-Browser: https://salsa.debian.org/aurel32/libftdi1

Package: ftdi-eeprom
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tool for reading/erasing/flashing FTDI USB chip EEPROMs
 ftdi-eeprom is a small tool for creating and uploading the configuration
 EEPROM for the FTDI chip. This eeprom contains information such as vendor
 and product ID, manufacturer and product strings, revision, etc.

Package: libftdi1-2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C Library to control and program the FTDI USB controllers
 This library could talk to FTDI's FT232BM, FT245BM, FT2232C, FT2232D, FT245R,
 FT232H and FT230X type USB chips from userspace. It uses libusb 1.0 to
 communicate with the chips.
 .
 Functionalities include the possibility to use the chips in standard
 mode, in bitbang mode, and to read or write the serial EEPROM.
 .
 This is the C version of the library.

Package: libftdi1-dev
Section: libdevel
Architecture: any
Depends: libftdi1-2 (= ${binary:Version}), libusb-1.0-0-dev, ${misc:Depends}
Recommends: libftdi1-doc
Description: Development files for libftdi1
 This library could talk to FTDI's FT232BM, FT245BM, FT2232C, FT2232D, FT245R,
 FT232H and FT230X type USB chips from userspace. It uses libusb 1.0 to
 communicate with the chips.
 .
 This package contains the header files and static library needed to
 compile applications that use libftdi1.

Package: libftdi1-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: libftdi1-dev
Description: Documentation for libftdi1
 This library could talk to FTDI's FT232BM, FT245BM, FT2232C, FT2232D, FT245R,
 FT232H and FT230X type USB chips from userspace. It uses libusb 1.0 to
 communicate with the chips.
 .
 This package contains the documentation of the libftdi1 library.

Package: libftdipp1-3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ Library to control and program the FTDI USB controllers
 This library could talk to FTDI's FT232BM, FT245BM, FT2232C, FT2232D, FT245R,
 FT232H and FT230X type USB chips from userspace. It uses libusb 1.0 to
 communicate with the chips.
 .
 Functionalities include the possibility to use the chips in standard
 mode, in bitbang mode, and to read or write the serial EEPROM.
 .
 This is the C++ version of the library.

Package: libftdipp1-dev
Section: libdevel
Architecture: any
Recommends: libftdi1-doc
Depends: libboost-dev (>= 1.58),
         libftdi1-dev (= ${binary:Version}),
         libftdipp1-3 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for libftdipp1
 This library could talk to FTDI's FT232BM, FT245BM, FT2232C, FT2232D, FT245R,
 FT232H and FT230X type USB chips from userspace. It uses libusb 1.0 to
 communicate with the chips.
 .
 This package contains the header files and static library needed to
 compile applications that use libftdipp1.

Package: python3-ftdi1
Section: python
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Python module to control and program the FTDI USB controllers
 This library could talk to FTDI's FT232BM, FT245BM, FT2232C, FT2232D, FT245R,
 FT232H and FT230X type USB chips from userspace. It uses libusb 1.0 to
 communicate with the chips.
 .
 Functionalities include the possibility to use the chips in standard
 mode, in bitbang mode, and to read or write the serial EEPROM.
 .
 This package provides the ftdi1 module on the Python 3 module path.
