=== debian/tests/control ===
Tests: test-libftdi1
Depends: build-essential, libboost-test-dev, libftdi1-dev, pkg-config

Tests: test-libftdi1-cmake
Depends: build-essential, cmake, libboost-test-dev, libftdi1-dev
