=== debian/watch ===
version=4
opts=pgpmode=auto \
    https://www.intra2net.com/en/developer/libftdi/download.php download/libftdi1-(.+)\.tar\.bz2
